
I was aware of a great feeling of peace and tranquility. I sat on a grass hill overlooking a shallow stream and down to my right there was an old stone bridge where the track ran away into woods. There was several children there. They appeared to be dressed in Victorian clothing. The girls and boys were playing around the bridge. I was just looking at them and thinking how peaceful it was. Then I suddenly had this thought 'What was I doing here?' I knew I was supposed to be in school. Then just as that thought came to me, it was almost like having a bucket of water splashed in my face. I opened my eyes and I was on the floor surrounded by school children. One child was astride me and slapping my face. I remember them saying that they thought I was dead.
